function isValidType( oInput, oType ) {
    switch( oType.toLowerCase() ) {
        case 'select':
            return oInput.selectedIndex;
        case 'number':
            if( !oInput.value ) { return false; }
            for( var mXi = 0; mXi < oInput.value.length; mXi++ ) {
                if( oInput.value.charAt( mXi ) != '' + parseInt( oInput.value.charAt( mXi ) ) + '' ) { return false; }
            } return true;
        case 'name':
            return oInput.value;
        case 'numabc':
            return ( oInput.value && !oInput.value.replace( /[0-9a-zA-Z]+( ?[-']?[0-9a-zA-Z]+)*/i, "" ) );
        case 'email':
            return ( oInput.value && !oInput.value.replace( /[\w\-\+]+(\.[\w\-\+]+)*@([\w\-áàäçéèêñóòôöüæøå]+\.)+[a-z]+/i, "" ) );
    }
}